[Reproducible-commits] [misc] 01/01: fix fetch-logs to use new url scheme

Chris West faux-guest at moszumanska.debian.org
Sat Jul 30 17:44:35 UTC 2016


This is an automated email from the git hooks/post-receive script.

faux-guest pushed a commit to branch master
in repository misc.

commit 8a760f52afea508a9ea4db424c2df2925c2d36a3
Author: Chris West (Faux) <git at goeswhere.com>
Date:   Sat Jul 30 18:44:29 2016 +0100

    fix fetch-logs to use new url scheme
---
 fetch-logs.sh | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

diff --git a/fetch-logs.sh b/fetch-logs.sh
index c95b66e..0a82638 100755
--- a/fetch-logs.sh
+++ b/fetch-logs.sh
@@ -1,10 +1,12 @@
 #!/bin/sh
-T=$1
-shift
-mkdir ${T}s
-curl https://reproducible.debian.net/${T}/unstable/amd64/ > rbuild.lst
+set -eu
+
+U=https://tests.reproducible-builds.org/debian/rbuild/unstable/amd64/
+
+mkdir logs
+curl ${U} > rbuild.lst
 for n in "$@"; do grep '"'${n}_ rbuild.lst | cut -d\" -f8; done > wanted.lst
 (
-    cd ${T}s;
-    <../wanted.lst sed 's,^,https://reproducible.debian.net/'${T}'/unstable/amd64/,' | xargs wget -N
+    cd logs;
+    <../wanted.lst sed 's,^,'${U}',' | xargs wget -N
 )

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/reproducible/misc.git



More information about the Reproducible-commits mailing list